light-mode-image
Learn
API ReferenceWebhooks

Update Webhook

Roles

adminissuermanaged-issuer

Analytics Events

WEBHOOK_UPDATE_STARTWEBHOOK_UPDATE_SUCCESSWEBHOOK_UPDATE_FAIL
PUT/v1/webhooks/{webhookId}

Updates an existing Webhook by providing its ID.

Analytic events

  • WEBHOOK_UPDATE_START
  • WEBHOOK_UPDATE_SUCCESS
  • WEBHOOK_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

webhookId*string

Webhook ID

Formatuuid

Request Body

application/json

Update Webhook

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "events": [      "OpenIdCredentialIssued"    ],    "url": "http://example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "events": [    "string"  ],  "url": "http://example.com",  "disabled": false}

How would you rate this page?